### A free/open-source library for quantitative finance

Classes
ql/patterns/singleton.hpp File Reference

basic support for the singleton pattern More...

`#include <ql/types.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/noncopyable.hpp>`
`#include <map>`
Include dependency graph for singleton.hpp:

## Classes

class | Singleton< T >
| Basic support for the singleton pattern. More...

## Detailed Description

basic support for the singleton pattern